# Class Debug

Namespace
  Awperative

Assembly
  Awperative.dll

    public static class Debug

Inheritance
  object
  Debug

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### LogFilePath

True path of the log file Awperative dumps to.

    public static string LogFilePath { get; }

#### Property Value

string

## Methods

### AssertAction(bool, string)

Writes the current message to the log file if the condition is true.

    public static void AssertAction(bool __condition, string __message)

#### Parameters

`__condition` bool

  Condition to debug

`__message` string

  Message to debug

### AssertError(bool, string)

Writes the current message to the log file if the condition is true.

    public static void AssertError(bool __condition, string __message)

#### Parameters

`__condition` bool

  Condition to debug

`__message` string

  Message to debug

### AssertGeneric(bool, string, string, string[], string[])

Writes the current message to the log file if the condition is true. With any given call sign.

    public static void AssertGeneric(bool __condition, string __message, string __callSign, string[] __parameters, string[] __values)

#### Parameters

`__condition` bool

  Condition to debug

`__message` string

  Message to debug

`__callSign` string

  Message identifier

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug

### AssertState(bool, string)

Writes the current message to the log file if the condition is true.

    public static void AssertState(bool __condition, string __message)

#### Parameters

`__condition` bool

  Condition to debug

`__message` string

  Message to debug

### AssertValue(bool, string)

Writes the current message to the log file if the condition is true.

    public static void AssertValue(bool __condition, string __message)

#### Parameters

`__condition` bool

  Condition to debug

`__message` string

  Message to debug

### AssertWarning(bool, string)

Writes the current message to the log file if the condition is true.

    public static void AssertWarning(bool __condition, string __message)

#### Parameters

`__condition` bool

  Condition to debug

`__message` string

  Message to debug

### LogAction(string)

Writes the current message to the log file.

    public static void LogAction(string __message)

#### Parameters

`__message` string

  Message to debug

### LogAction(string, string[], string[])

Writes the current message to the log file. With any given call sign.

    public static void LogAction(string __message, string[] __parameters, string[] __values)

#### Parameters

`__message` string

  Message to debug

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug

### LogError(string)

Writes the current message to the log file.

    public static void LogError(string __message)

#### Parameters

`__message` string

  Message to debug

### LogError(string, string[], string[])

Writes the current message to the log file. With any given call sign.

    public static void LogError(string __message, string[] __parameters, string[] __values)

#### Parameters

`__message` string

  Message to debug

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug

### LogGeneric(string, string, string[], string[])

Writes the current message to the log file. With any given call sign.

    public static void LogGeneric(string __message, string __callSign, string[] __parameters, string[] __values)

#### Parameters

`__message` string

  Message to debug

`__callSign` string

  Message identifier

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug

### LogState(string)

Writes the current message to the log file.

    public static void LogState(string __message)

#### Parameters

`__message` string

  Message to debug

### LogState(string, string[], string[])

Writes the current message to the log file. With any given call sign.

    public static void LogState(string __message, string[] __parameters, string[] __values)

#### Parameters

`__message` string

  Message to debug

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug

### LogValue(string)

Writes the current message to the log file.

    public static void LogValue(string __message)

#### Parameters

`__message` string

  Message to debug

### LogValue(string, string[], string[])

Writes the current message to the log file. With any given call sign.

    public static void LogValue(string __message, string[] __parameters, string[] __values)

#### Parameters

`__message` string

  Message to debug

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug

### LogWarning(string)

Writes the current message to the log file.

    public static void LogWarning(string __message)

#### Parameters

`__message` string

  Message to debug

### LogWarning(string, string[], string[])

Writes the current message to the log file. With any given call sign.

    public static void LogWarning(string __message, string[] __parameters, string[] __values)

#### Parameters

`__message` string

  Message to debug

`__parameters` string[]

  Names of values to debug

`__values` string[]

  Values to debug